% Script to reproduce the results presented in our paper.
% pfh/ku 5/99
% phubbard@computer.org and umland@math.unm.edu 

% Load up WaveLab into matlab path
WavePath

% Note that this is hardwired azimuth and elevation - feel free to
% experiment with these.
azimuth = 40;
elevation = 0;
data_set = 'L';
gain = 0.90; % Used at save to prevent clipping
wavelet = 'Daubechies'
parameter = 4;
epsilon = 0.001;
res_level = 1;

disp 'Step one - create the circulant matrices'
create_operator(azimuth, elevation, data_set)

disp 'Step two - convert to NSF'
wqmf = nm_init(wavelet, parameter, epsilon, res_level);

disp 'Step three - WD convolution'
wd_local('stream.wav', wqmf, gain, res_level)

disp 'Step four - MATLAB convolution for comparison'
td_local('stream.wav', azimuth, elevation, data_set, gain)

disp 'Done with demo script!'
